Package org.silverpeas.mobile.shared.dto

## Class FullUserDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.DetailUserDTO
  - - org.silverpeas.mobile.shared.dto.FullUserDTO

- All Implemented Interfaces:
    `Serializable`

      public class FullUserDTO
      extends DetailUserDTO

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FullUserDTO()` |
    `FullUserDTO​(String login, String password, String domainId, DetailUserDTO user)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.web.bindery.autobean.shared.AutoBean<IFullUser>` | `getAutoBean()` |
    `static FullUserDTO` | `getBean​(com.google.web.bindery.autobean.shared.AutoBean<IFullUser> b)` |
    `String` | `getDomainId()` |
    `String` | `getLogin()` |
    `String` | `getPassword()` |
    `String` | `getToken()` |
    `void` | `setDomainId​(String domainId)` |
    `void` | `setLogin​(String login)` |
    `void` | `setPassword​(String password)` |
    `void` | `setToken​(String token)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.DetailUserDTO

      `addProperty, getAvatar, getCellularPhoneNumber, getConnected, geteMail, getFaxPhoneNumber, getFirstName, getId, getLanguage, getLastName, getPhoneNumber, getProperties, getSessionKey, getStatus, getZone, isLdap, isNotificationBox, setAvatar, setCellularPhoneNumber, setConnected, seteMail, setFaxPhoneNumber, setFirstName, setId, setLanguage, setLastName, setLdap, setNotificationBox, setPhoneNumber, setProperties, setSessionKey, setStatus, setZone`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FullUserDTO

          public FullUserDTO()

    - #### FullUserDTO

          public FullUserDTO​(String login,
                             String password,
                             String domainId,
                             DetailUserDTO user)

  - ### Method Detail

    - #### getLogin

          public String getLogin()

    - #### setLogin

          public void setLogin​(String login)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword​(String password)

    - #### getDomainId

          public String getDomainId()

    - #### setDomainId

          public void setDomainId​(String domainId)

    - #### getToken

          public String getToken()

      Overrides:
        `getToken` in class `DetailUserDTO`

    - #### setToken

          public void setToken​(String token)

      Overrides:
        `setToken` in class `DetailUserDTO`

    - #### getAutoBean

          public com.google.web.bindery.autobean.shared.AutoBean<IFullUser> getAutoBean()

    - #### getBean

          public static FullUserDTO getBean​(com.google.web.bindery.autobean.shared.AutoBean<IFullUser> b)